summaryrefslogtreecommitdiff
path: root/pm/sleep.d/95led
diff options
context:
space:
mode:
authorRichard Hughes <richard@hughsie.com>2008-01-26 18:06:26 +0000
committerRichard Hughes <richard@hughsie.com>2008-01-26 18:06:26 +0000
commitde1ace906a3c99b01996b7a0e8dfabcabf0262c9 (patch)
tree505d9702a4f38c0dafced0157307ae67b0e7f736 /pm/sleep.d/95led
parent67645abd5351105a1d18f8615e789c4234e0d480 (diff)
rename hooks into sleep.d -- this is something we have wanted to
do for a long time, but CVS made it hard
Diffstat (limited to 'pm/sleep.d/95led')
-rwxr-xr-xpm/sleep.d/95led13
1 files changed, 13 insertions, 0 deletions
diff --git a/pm/sleep.d/95led b/pm/sleep.d/95led
new file mode 100755
index 0000000..0c7d041
--- /dev/null
+++ b/pm/sleep.d/95led
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+[ -f /proc/acpi/ibm/led ] || exit 0
+
+case "$1" in
+ thaw|resume)
+ { echo "7 blink" >/proc/acpi/ibm/led ; } 2>/dev/null
+ ;;
+ *)
+ ;;
+esac
+
+exit $?